import messages from '@intlify/unplugin-vue-i18n/messages'
import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
import { createApp } from 'vue'
import { createI18n } from 'vue-i18n'
import App from './App.vue'

import router from './router'

import 'virtual:uno.css'

import '~console/theme-detect'

import '@unocss/reset/tailwind.css'

const app = createApp(App)
const pinia = createPinia()
pinia.use(piniaPluginPersistedstate)
const i18n = createI18n({
  locale: 'de',
  fallbackLocale: ['en', 'de'],
  messages,
})
app.use(pinia)
app.use(i18n)
app.use(router)

app.mount('#app')
